# Class AbstractGeolocationInformation

Object
AbstractMetadata
ModifiableMetadata
ISOMetadata
AbstractGeolocationInformation

All Implemented Interfaces:
  `Serializable`, `Emptiable`, `LenientComparable`, `IdentifiedObject`, `GeolocationInformation`

Direct Known Subclasses:
  `DefaultGCPCollection`

public class AbstractGeolocationInformation extends ISOMetadata implements GeolocationInformation
Information used to determine geographic location corresponding to image location.

## Limitations

- Instances of this class are not synchronized for multi-threading. Synchronization, if needed, is caller's responsibility.
- Serialized objects of this class are not guaranteed to be compatible with future Apache SIS releases. Serialization support is appropriate for short term storage or RMI between applications running the same version of Apache SIS. For long term storage, use `XML` instead.

Since:
  0.3
See Also:
  - Serialized Form

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class ModifiableMetadata

  `ModifiableMetadata​.State`

- ## Field Summary

  ### Fields inherited from class ISOMetadata

  `identifiers`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AbstractGeolocationInformation()`
  Constructs an initially empty geolocation information.
  `AbstractGeolocationInformation(GeolocationInformation object)`
  Constructs a new instance initialized with the values from the specified metadata object.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static AbstractGeolocationInformation`
  `castOrCopy(GeolocationInformation object)`
  Returns a SIS metadata implementation with the values of the given arbitrary implementation.
  `Collection<DataQuality>`
  `getQualityInfo()`
  Returns an overall assessment of quality of geolocation information.
  `void`
  `setQualityInfo(Collection<? extends DataQuality> newValues)`
  Sets an overall assessment of quality of geolocation information.

  ### Methods inherited from class ISOMetadata

  `getIdentifier, getIdentifierMap, getIdentifiers, getStandard, setIdentifier`

  ### Methods inherited from class ModifiableMetadata

  `checkWritePermission, collectionType, copyCollection, copyList, copyMap, copySet, deepCopy, nonNullCollection, nonNullList, nonNullMap, nonNullSet, singleton, state, writeCollection, writeList, writeMap, writeSet`

  ### Methods inherited from class AbstractMetadata

  `asMap, asTreeTable, clone, equals, equals, getInterface, hashCode, isEmpty, nilReasons, prune, toString`

  ### Methods inherited from class Object

  `finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### AbstractGeolocationInformation

    public AbstractGeolocationInformation()
    Constructs an initially empty geolocation information.

  - ### AbstractGeolocationInformation

    public AbstractGeolocationInformation(GeolocationInformation object)
    Constructs a new instance initialized with the values from the specified metadata object. This is a shallow copy constructor, because the other metadata contained in the given object are not recursively copied.
    Parameters:
      `object` - the metadata to copy values from, or `null` if none.
    See Also:
      - `castOrCopy(GeolocationInformation)`

- ## Method Details

  - ### castOrCopy

    public static AbstractGeolocationInformation castOrCopy(GeolocationInformation object)
    Returns a SIS metadata implementation with the values of the given arbitrary implementation. This method performs the first applicable action in the following choices:
    - If the given object is `null`, then this method returns `null`.
    - Otherwise if the given object is an instance of `GCPCollection`, then this method delegates to the `castOrCopy(…)` method of the corresponding SIS subclass.
    - Otherwise if the given object is already an instance of `AbstractGeolocationInformation`, then it is returned unchanged.
    - Otherwise a new `AbstractGeolocationInformation` instance is created using the copy constructor and returned. Note that this is a shallow copy operation, because the other metadata contained in the given object are not recursively copied.
    Parameters:
      `object` - the object to get as a SIS implementation, or `null` if none.
    Returns:
      a SIS implementation containing the values of the given object (may be the given object itself), or `null` if the argument was null.

  - ### getQualityInfo

    public Collection<DataQuality> getQualityInfo()
    Returns an overall assessment of quality of geolocation information.
    Specified by:
      `getQualityInfo` in interface `GeolocationInformation`
    Returns:
      an overall assessment of quality of geolocation information.

  - ### setQualityInfo

    public void setQualityInfo(Collection<? extends DataQuality> newValues)
    Sets an overall assessment of quality of geolocation information.
    Parameters:
      `newValues` - the new quality information values.